Firmware upgrade 2.2 to 3.x

Discussion in 'Jailbreaks and iOS Hacks' started by i-sidd, Oct 16, 2009.

  1. i-sidd macrumors 6502a

    Joined:
    Apr 27, 2006
    #1
    Hi guys,


    I really need some guidance. I JB my iphone in dec 08. the version I have is 2.2 (5G77). I have tried downloading certain apps and they don't run since I need to upgrade my firmware version. I don't know how to upgrade, and I tried to find it but could not.

    So experts if you could tell me where I can find step by step instructions to upgrade my version from 2.2 to whatever, I don't even know which version to upgrade to. I would also like MMS enabled. So be kind and help me out here.

    I read something about blackrain, can I use this to upgrade my firmware?
     
  2. thep33t macrumors regular

    Joined:
    Jun 18, 2009
  3. i-sidd thread starter macrumors 6502a

    Joined:
    Apr 27, 2006
  4. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
  5. i-sidd thread starter macrumors 6502a

    Joined:
    Apr 27, 2006
    #5
    Carrier Logo Gone No Service

    Hi I just followed step by step tutorial on simon blog and downloaded Pwnage tool 3.1 and iPhone1,2_3.1_7C144_Restore.ipsw and did the restore through itunes and now I have the iphone 3G and the version is showing as 3.1 (7C144) but the network is not working, I tried calling myself it goes to voicemail directly and I can't make a call. Its showing No service. What do I do? Please help.
     
  6. STEVESKI07 macrumors 68000

    STEVESKI07

    Joined:
    Jan 6, 2009
    Location:
    Washington, DC
    #6
    Are you on AT&T or are you unlocked? If you do not need to be unlocked then just upgrade to 3.1.2 in iTunes and upgrade your baseband to the newest version. Then run blackra1n to jailbreak your phone. You will then be up to date with the newest version of everything.
     
  7. i-sidd thread starter macrumors 6502a

    Joined:
    Apr 27, 2006
    #7
    Yes on ATT, if I do like you said, will I in the future be able to unlock it? If this is not an option then can I now go back to 2.2 using pwnage
     
  8. STEVESKI07 macrumors 68000

    STEVESKI07

    Joined:
    Jan 6, 2009
    Location:
    Washington, DC
    #8
    if you do what i said then you will NOT be able to unlock. the problem i think your having though is you need a newer version of the baseband, however the newest one will break your ability to unlock. if you search these forums you can find how-to's for upgrading to the 5.1 baseband that will not break your ability to unlock. I would upgrade your basbeand to 5.1 and then install the custom .ipsw for 3.1.2 that is also posted in this forum.
     

Share This Page